"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadGlobalData = void 0;
const util_1 = require("./common/util");
const headers_1 = require("./common/headers");
function loadGlobalData() {
    const data = global[headers_1.GLOBAL_ENTRY_KEY];
    if (data == null) {
        throw Error("Could not retrieve generated data");
    }
    util_1.versionCheck("Routes", data.routes.routesVersion, headers_1.ROUTES_VERSION);
    return data;
}
exports.loadGlobalData = loadGlobalData;
