import { Logger } from "pino";
import { ApiContext } from "../main";
export declare class Controller {
    logger: Logger;
    ctx: ApiContext;
    private statusCode;
    private statusSet;
    private headers;
    setStatus(statusCode: number): void;
    getStatus(): number;
    setHeader(name: string, value?: string): void;
    getHeader(name: string): string;
    getHeaders(): {
        [name: string]: string;
    };
    clearStatus(): void;
    clearHeaders(): void;
}
