"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tags = exports.Hidden = exports.Route = exports.Header = exports.Query = exports.Path = exports.Request = exports.BodyProp = exports.Body = exports.Delete = exports.Options = exports.Patch = exports.Put = exports.Post = exports.Get = exports.AppendMiddleware = exports.PrependMiddleware = exports.Security = exports.NoSecurity = exports.OperationId = exports.Extension = exports.Head = exports.Example = exports.Deprecated = exports.Response = exports.SuccessResponse = void 0;
function SuccessResponse(name, description) {
    return (target, propertyKey) => {
        if (propertyKey == null) {
            return;
        }
        if (typeof name !== "number") {
            return;
        }
        target[propertyKey].statusCode = name;
    };
}
exports.SuccessResponse = SuccessResponse;
function Response(name, description, example) {
    return () => {
        return;
    };
}
exports.Response = Response;
function Deprecated() {
    return () => {
        return;
    };
}
exports.Deprecated = Deprecated;
function Example(exampleModel) {
    return () => {
        return;
    };
}
exports.Example = Example;
function Head(value) {
    return () => {
        return;
    };
}
exports.Head = Head;
function Extension(_name, _value) {
    return () => {
        return;
    };
}
exports.Extension = Extension;
function OperationId(value) {
    return () => {
        return;
    };
}
exports.OperationId = OperationId;
function NoSecurity() {
    return () => {
        return;
    };
}
exports.NoSecurity = NoSecurity;
function Security(name, scopes) {
    return () => {
        return;
    };
}
exports.Security = Security;
function PrependMiddleware(...middleware) {
    return (target, propertyKey) => {
        if (propertyKey != null) {
            target = target[propertyKey];
        }
        else {
            target = target.prototype;
        }
        if (target.middleware == null) {
            target.middleware = [];
        }
        target.middleware = [...middleware, ...target.middleware];
    };
}
exports.PrependMiddleware = PrependMiddleware;
function AppendMiddleware(...middleware) {
    return (target, propertyKey) => {
        if (propertyKey != null) {
            target = target[propertyKey];
        }
        else {
            target = target.prototype;
        }
        if (target.postMiddleware == null) {
            target.postMiddleware = [];
        }
        target.postMiddleware = [...target.postMiddleware, ...middleware];
    };
}
exports.AppendMiddleware = AppendMiddleware;
function Get(name) {
    return () => {
        return;
    };
}
exports.Get = Get;
function Post(name) {
    return () => {
        return;
    };
}
exports.Post = Post;
function Put(name) {
    return () => {
        return;
    };
}
exports.Put = Put;
function Patch(name) {
    return () => {
        return;
    };
}
exports.Patch = Patch;
function Options(name) {
    return () => {
        return;
    };
}
exports.Options = Options;
function Delete(name) {
    return () => {
        return;
    };
}
exports.Delete = Delete;
function Body() {
    return () => {
        return;
    };
}
exports.Body = Body;
function BodyProp(name) {
    return () => {
        return;
    };
}
exports.BodyProp = BodyProp;
function Request() {
    return () => {
        return;
    };
}
exports.Request = Request;
function Path(name) {
    return () => {
        return;
    };
}
exports.Path = Path;
function Query(name) {
    return () => {
        return;
    };
}
exports.Query = Query;
function Header(name) {
    return () => {
        return;
    };
}
exports.Header = Header;
function Route(name) {
    return (target) => {
        return;
    };
}
exports.Route = Route;
function Hidden() {
    return () => {
        return;
    };
}
exports.Hidden = Hidden;
function Tags(...values) {
    return () => {
        return;
    };
}
exports.Tags = Tags;
