export declare type AsyncFunctor<T> = (arg: T) => Promise<any> | any;
export declare class AsyncSeries<T, K extends {
    handler: AsyncFunctor<T>;
}> {
    private functions;
    private iterator;
    private exceptionHandler;
    private readonly functionNum;
    constructor(functions: K[], iterator: (arg: T, exec: K, i: number) => boolean, exceptionHandler: (arg: T, err: Error, i: number) => void);
    execute(arg: T): Promise<void>;
}
