/// <reference types="node" />
import { OpenAPIV3 } from "openapi-types";
export interface Map<T> {
    [key: string]: T;
}
export declare function isReferenceObject(input: any): input is OpenAPIV3.ReferenceObject;
export declare function sha1String(data: string | Buffer): string;
export declare function sha1Buffer(data: string | Buffer): Buffer;
export declare function versionCheck(title: string, required: number, actual: number): void;
export declare function memoizeSingle<T>(fn: () => T): () => T;
export declare function arrayPush<T>(target?: T[], other?: T[]): T[];
export declare function lowercaseKeys(obj: {
    [key: string]: unknown;
}): {
    [key: string]: unknown;
};
