import { ApiMiddleware, HttpMethod } from "../../lib/common/headers";
import { Valory } from "../valory";
import { ApiContext } from "../../lib/common/context";
import { AJVTypes } from "../../lib/common/compiler-headers";
export declare class RequestValidator implements ApiMiddleware {
    static ValidationErrorsKey: import("../../lib/common/attachment-registry").AttachmentKey<string[]>;
    readonly name = "RequestValidator";
    private readonly validator;
    constructor(valory: Valory, path: string, method: HttpMethod);
    handler(ctx: ApiContext): void;
    static renderError(error: AJVTypes.ErrorObject): string;
}
